Skip to content

upsertSavedView

WRITE

Upsert saved view.

POST /api/v1/shared/upsertSavedView
curl -X POST '<your-host>/api/v1/shared/upsertSavedView' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "table": "string",
    "type": "Public"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Public""Private"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "name": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "table": {
      "type": "string"
    },
    "type": {
      "type": "string",
      "enum": [
        "Public",
        "Private"
      ]
    },
    "filters": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "sorts": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "columnPinning": {
      "type": "object",
      "additionalProperties": {
        "type": "boolean"
      }
    },
    "columnVisibility": {
      "type": "object",
      "additionalProperties": {
        "type": "boolean"
      }
    },
    "columnOrder": {
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "name",
    "table",
    "type"
  ]
}